Package org.apache.sis.storage

# Class NoSuchDataException

Object
Throwable
Exception
DataStoreException
NoSuchDataException

All Implemented Interfaces:
  `Serializable`, `LocalizedException`

Direct Known Subclasses:
  `IllegalNameException`

public class NoSuchDataException extends DataStoreException
Thrown when requested data are not found in the data store. It may be because no resource of the given name has been found, or because data have been requested in a region of interest that does not intersect the data region.

Since:
  1.1
See Also:
  - Serialized Form

Defined in the `sis-storage` module

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoSuchDataException()`
  Creates an exception with no cause and no details message.
  `NoSuchDataException(String message)`
  Creates an exception with the specified details message.
  `NoSuchDataException(String message, Throwable cause)`
  Creates an exception with the specified details message and cause.
  `NoSuchDataException(Throwable cause)`
  Creates an exception with the specified cause and no details message.

- ## Method Summary

  ### Methods inherited from class DataStoreException

  `getInternationalMessage, getLocalizedMessage, getMessage, initCause`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoSuchDataException

    public NoSuchDataException()
    Creates an exception with no cause and no details message.

  - ### NoSuchDataException

    public NoSuchDataException(String message)
    Creates an exception with the specified details message.
    Parameters:
      `message` - the detail message.

  - ### NoSuchDataException

    public NoSuchDataException(Throwable cause)
    Creates an exception with the specified cause and no details message.
    Parameters:
      `cause` - the cause for this exception.

  - ### NoSuchDataException

    public NoSuchDataException(String message, Throwable cause)
    Creates an exception with the specified details message and cause.
    Parameters:
      `message` - the detail message.
      `cause` - the cause for this exception.